.loading-group {
  /// transform: scale(0.3);

  $duration: 3s;
  $main-color: #59DCFF;

  &.animate .logo-path {
    animation-play-state: running;
  }

  .logo-path {
    fill:none;
    stroke: $gray-800;
    stroke-linecap:round;
    stroke-linejoin:miter;
    stroke-miterlimit:4;
    animation-fill-mode: forwards;
    animation-duration: $duration;
    animation-play-state: paused;
  }

  .logo-path-1 {
    animation-name: logo-path-1-animation;

    stroke-dasharray: 652;
    stroke-dashoffset: 0;
  }

  .logo-path-2 {
    animation-name: logo-path-2-animation;

    stroke-dasharray: 529;
    stroke-dashoffset: 0;
  }

  .logo-path-3 {
    animation-name: logo-path-3-animation;
    animation-duration: $duration;

    stroke-dasharray: 232;
    stroke-dashoffset: 0;
  }

  .logo-fill {
    fill-opacity: 1;
  }

  &.animate .logo-fill {
    animation-name: logo-fill-animation;
    animation-duration: $duration;
    animation-fill-mode: forwards;
  }

  .logo-fill-0 {
    fill:url(#SVGID_5_);
  }

  .logo-fill-1 {
    fill:url(#SVGID_3_);
  }

  .logo-fill-2 {
    fill:url(#SVGID_4_);
  }

  .logo-fill-3 {
    fill:url(#SVGID_2_);
  }

  .logo-fill-4 {
    fill:url(#SVGID_1_);
  }


  /* The animation code */
  @keyframes logo-path-1-animation {
    0%  { stroke-dashoffset: -652; stroke-width: 5; stroke: $gray-800; stroke-opacity: 1; }
    40% { stroke-dashoffset: 0; stroke-width: 5; stroke: $gray-800; stroke-opacity: 1; }
    60% { stroke-dashoffset: 0; stroke-width: 25; stroke: $main-color; stroke-opacity: 1; }
    80% { stroke-dashoffset: 0; stroke-width: 25; stroke: $main-color; stroke-opacity: 1; }
    100% { stroke-dashoffset: 0; stroke-width: 25; stroke: $main-color; stroke-opacity: 0; }
  }

  @keyframes logo-path-2-animation {
    0%  { stroke-dashoffset: -529; stroke-width: 5; stroke: $gray-800; stroke-opacity: 1; }
    40% { stroke-dashoffset: 0; stroke-width: 5; stroke: $gray-800; stroke-opacity: 1; }
    60% { stroke-dashoffset: 0; stroke-width: 25; stroke: $main-color; stroke-opacity: 1; }
    80% { stroke-dashoffset: 0; stroke-width: 25; stroke: $main-color; stroke-opacity: 1; }
    100% { stroke-dashoffset: 0; stroke-width: 25; stroke: $main-color; stroke-opacity: 0; }
  }

  @keyframes logo-path-3-animation {
    0%  { stroke-dashoffset: -232; stroke-width: 5; stroke: $gray-800; stroke-opacity: 1; }
    40% { stroke-dashoffset: 0; stroke-width: 5; stroke: $gray-800; stroke-opacity: 1; }
    60% { stroke-dashoffset: 0; stroke-width: 25; stroke: $main-color; stroke-opacity: 1; }
    80% { stroke-dashoffset: 0; stroke-width: 25; stroke: $main-color; stroke-opacity: 1; }
    100% { stroke-dashoffset: 0; stroke-width: 25; stroke: $main-color; stroke-opacity: 0; }
  }

  @keyframes logo-fill-animation {
    0%  { fill-opacity: 0; }
    40% { fill-opacity: 0; }
    60% { fill-opacity: 0; }
    100% { fill-opacity: 1; }
  }
}